package org.jeecg.common.constant.enums;

import lombok.Getter;

@Getter
public enum PhysicalErrCodeEnum {

    SEARCH_DATA_ADD_DUPLICATE(10001, "数据已存在"),
    SYSTEM_ERR(10000, "系统内部错误，请联系管理员！")
    ;
    private final int code;
    private final String message;


    PhysicalErrCodeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }
    public String getMessage() {
        return message;
    }
}
